stash_to_next(3)

NAME
stash_to_next -

Convert GET_STASH requests into GETNEXT requests for the handler.

  Functions
netsnmp_mib_handler * netsnmp_get_stash_to_next_handler (void)
returns a stash_to_next handler that can be injected into a given handler chain.
int netsnmp_stash_to_next_helper (netsnmp_mib_handler *handler, netsnmp_handler_registration *reginfo, netsnmp_agent_request_info *reqinfo, netsnmp_request_info *requests)

Detailed Description

Convert GET_STASH requests into GETNEXT requests for the handler. The purpose of this handler is to convert a GET_STASH auto-cache request to a series of GETNEXT requests. It can be inserted into a handler chain where the lower-level handlers don't process such requests themselves.

Function Documentation

  netsnmp_mib_handler* netsnmp_get_stash_to_next_handler (void)

returns a stash_to_next handler that can be injected into a given handler chain.

Definition at line 23 of file stash_to_next.c.

Author

Generated automatically by Doxygen for net-snmp from the source code.